# Hierarchical Information Flow for Generalized Efficient Image Restoration: Code

This repository contains the code for the ICLR 2025 submission - 2451: Hierarchical Information Flow for Generalized Efficient Image Restoration.

## File Structure
 - `dataset`: input images is placed under this folder.
 - `model_zoo`: pretrained model is placed under this folder.
 - `model`: the Hi-IR model is defined here. 
 - `main_dn.py`: the main file to test Hi-IR denoising model.
 - `main_sr.py`: the main file to test Hi-IR SR model.
 - `requirements.txt`: the required packages to run the code.

## How to test the model for image SR?

1. `pip install -r requirements.txt`

    This installs the required packages for running the code. 
2. `python main_sr.py`
    
    This automatically load the model and checkpoint, read the low-resolution images, super-revolve and save the images.
3. Restored images will be saved under `results` folder.